Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85619 - Hung trying to do an rpm -ivh
Summary: Hung trying to do an rpm -ivh
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: rpm
Version: phoebe
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-05 02:51 UTC by Ted Kaczmarek
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-08 18:06:35 UTC


Attachments (Terms of Use)

Description Ted Kaczmarek 2003-03-05 02:51:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.8 (X11; Linux i686; U;) Gecko/20030212

Description of problem:
Attemting to install apt-0.5.5cnc3-fr2.i386.rpm hung rpm. Remebering quirks with
the previuos version I deleted the __db* files in /var/lib/rpm and then tried to
kill it. This is backwards though :-).
Anyway even a kill -9  will not make it die :-(.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.freshrpms.net download apt-0.5.5cnc3-fr2.i386.rpm
2. rpm -ivh apt-0.5.5cnc3-fr2.i386.rpm
3.
    

Actual Results:  rpm hangs

Expected Results:  apt installs

Additional info:

[root@nitremb22 rpm]# rpm -qa | grep rpm
rpm-python-4.2-0.56
redhat-rpm-config-8.0.18-1
rpmdb-redhat-8.0.93-0.20030121
rpm-build-4.2-0.56
rpm-4.2-0.56
rpm-devel-4.2-0.56

Comment 1 Jeff Johnson 2003-03-05 04:01:18 UTC
FWIW, you're running on a buggy development version of
rpm that is not yet released.

What glibc and kernel packages?

If kill -9 does not terminate, you're blocked in
the kernel somehow. 

Comment 2 Ted Kaczmarek 2003-03-05 11:42:48 UTC
kernel-2.4.20-2.24
glibc-2.3.1-38


Comment 3 Jeff Johnson 2003-03-08 18:06:35 UTC
If "kill -9" diesn't, this is probably a futex
implementation problem. Try upgrading the kernel
and glibc, as there are quite a few changes there
over the last two weeks.

You might also try rpm-4.2-0.70 at
    ftp://ftp.rpm.org/pub/rpm/test-4.2


Note You need to log in before you can comment on or make changes to this bug.